using BS.Shared;

namespace BeWo.Data.Entities
{
    public class Textbaustein : BeWoEntityBase
    {
        public static string PropertyName_Text = "Text";
        public static string PropertyName_Position = "Position";
        public static string PropertyName_ServiceCategory = "ServiceCategory";
        public static string PropertyName_Name = "Name";
        public static string PropertyName_Employee = "Employee";
        public static string PropertyName_IsOnlyForEmployee = "IsOnlyForEmployee";

        private string _Text;
        private string _Name;
        private int _Position;
        private ServiceCategory _ServiceCategory;
        private Employee _Employee;
        private bool _IsOnlyForEmployee;

        public Textbaustein()
        {
            _Tid = TableID.Textbaustein;
        }

        public virtual ServiceCategory ServiceCategory
        {
            get { return _ServiceCategory; }

            set
            {
                if (AreDifferent(_ServiceCategory, value))
                {
                    _ServiceCategory = value;
                }
            }
        }

        public virtual Employee Employee
        {
            get { return _Employee; }

            set
            {
                if (AreDifferent(_Employee, value))
                {
                    _Employee = value;
                }
            }
        }

        public virtual bool IsOnlyForEmployee
        {
            get { return _IsOnlyForEmployee; }

            set
            {
                if (AreDifferent(_IsOnlyForEmployee, value))
                {
                    _IsOnlyForEmployee = value;
                }
            }
        }

        public virtual string Text
        {
            get
            {
                return _Text;
            }

            set
            {
                if (AreDifferent(_Text, value))
                {
                    _Text = value;
                }
            }
        }

        public virtual string Name
        {
            get
            {
                return _Name;
            }

            set
            {
                if (AreDifferent(_Name, value))
                {
                    _Name = value;
                }
            }
        }

        public virtual int Position
        {
            get
            {
                return _Position;
            }

            set
            {
                if (AreDifferent(_Position, value))
                {
                    _Position = value;
                }
            }
        }
    }
}
